% Program to read LABVIEW generated comma separated file and plot graphs

clc, clear, close all

datrec = csvread('test1_spec.csv');

[ll,dum] = size(datrec)

ff     = datrec(:,1);
rms1   = datrec(:,2);
rms2   = datrec(:,3);
rms3   = datrec(:,4);
rms4   = datrec(:,5);
frf21  = datrec(:,6).*exp(i*datrec(:,7)*pi/180);
coh21  = datrec(:,8);
frf43  = datrec(:,9).*exp(i*datrec(:,10)*pi/180);
coh43  = datrec(:,11);

figure(1)
plot(ff,rms1,ff,rms2)
grid on
xlabel('freq (Hz)')
ylabel('rms value')
legend('Ch 1','Ch 2')

figure(2)
plot(ff,rms3,ff,rms4)
grid on
xlabel('freq (Hz)')
ylabel('rms value')
legend('Ch 3','Ch 4')

figure(3)
plot(ff,abs(frf21))
grid on
xlabel('freq (Hz)')
ylabel('|FRF Ch 2/Ch 1|')

figure(4)
plot(ff,angle(frf21)*180/pi)
grid on
xlabel('freq (Hz)')
ylabel('phase(FRF Ch 2/Ch 1)')

figure(5)
plot(ff,coh21)
grid on
xlabel('freq (Hz)')
ylabel('Coherence, Ch 1 & 2')

figure(6)
plot(ff,abs(frf43))
grid on
xlabel('freq (Hz)')
ylabel('|FRF Ch 4/Ch 3|')

figure(7)
plot(ff,angle(frf43)*180/pi)
grid on
xlabel('freq (Hz)')
ylabel('phase(FRF Ch 4/Ch 3)')

figure(8)
plot(ff,coh43)
grid on
xlabel('freq (Hz)')
ylabel('Coherence, Ch 4 & 3')


